Subject: [6lowpan] Fwd: New Version Notification for draft-hui-6lowpan-hc-01

From: Jonathan Hui <[email-masked]>
Date: Mon, 28 Jul 2008 03:06:54 -0700

Summary of changes:
- Added context identifiers to support multiple prefixes for  
compression. Similar to Carsten's I-D, but allows a single context to  
be used across different address compression modes.
- UDP compression no longer provides option for eliding UDP checksum.
- ISA100_UDP compression defined which does allow elision of UDP  
checksum.
- Used an available bit to split Traffic Class from Flow Label  
compression.
- Added some more words around multicast address compression, saying  
that a node MUST subscribe to both compressed and uncompressed forms  
and MUST NOT subscribe to only one. This rule means that nodes cannot  
subscribe to well-known addresses that are not well-known to 6lowpan.

Feedback/suggestions welcome.

Thanks.

--
Jonathan Hui

Begin forwarded message:

> From: IETF I-D Submission Tool <[email-masked]>
> Date: July 28, 2008 2:15:37 AM PDT
> To: [email-masked]
> Subject: New Version Notification for draft-hui-6lowpan-hc-01
>
>
> A new version of I-D, draft-hui-6lowpan-hc-01.txt has been  
> successfuly submitted by Jonathan Hui and posted to the IETF  
> repository.
>
> Filename:	 draft-hui-6lowpan-hc
> Revision:	 01
> Title:		 Compression Format for IPv6 Datagrams in 6LoWPAN Networks
> Creation_date:	 2008-07-28
> WG ID:		 Independent Submission
> Number_of_pages: 14
>
> Abstract:
> This document specifies an IPv6 header compression format for IPv6
> packet delivery in 6LoWPAN networks.  The compression format relies
> on shared context to allow compression of arbitrary prefixes.  This
> document specifies compression of well-known multicast addresses and
> a framework for compressing next headers.  UDP compression is
> specified within this framework.
>
>
>
> The IETF Secretariat.
>
>

_______________________________________________
6lowpan mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/6lowpan